<!DOCTYPE html>
<html>
<head>
    <title>Unittest Results</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h2 class="text-capitalize">Unittest Results</h2>
                <p class='attribute'><strong>Start Time: </strong>2021-09-18 22:20:16</p>
                <p class='attribute'><strong>Duration: </strong>64.46 s</p>
                <p class='attribute'><strong>Summary: </strong>Total: 4, Pass: 2, Error: 2</p>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12 col-sm-10 col-md-10">
                <table class='table table-hover table-responsive'>
                    <thead>
                        <tr>
                            <th>SampleProjects.POMProjectDemo.Tests.login_Test.LoginTest</th>
                            <th>Status</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class='success'>
                            <td class="col-xs-10">test_01_login_valid</td>
                            <td class="col-xs-1">
                                <span class="label label-success" style="display:block;width:40px;">Pass</span>
                            </td>
                            <td class="col-xs-1">
                                <button class="btn btn-default btn-xs">View</button>
                            </td>
                        </tr>
                        <tr style="display:none;">
                            <td class="col-xs-9" colspan="3"><p>title is= Petco Oneview
login button clicked
user clicked on logout button
user is on home
user clicked on username 2
user clicked on logout button 2 
Click on user name completed
</p>
                            </td>
                        </tr>
                        <tr class='success'>
                            <td class="col-xs-10">test_02_login_invalid</td>
                            <td class="col-xs-1">
                                <span class="label label-success" style="display:block;width:40px;">Pass</span>
                            </td>
                            <td class="col-xs-1">
                                <button class="btn btn-default btn-xs">View</button>
                            </td>
                        </tr>
                        <tr style="display:none;">
                            <td class="col-xs-9" colspan="3"><p>login with not valid user is
<selenium.webdriver.remote.webelement.WebElement (session="8cbecdf695ae967fc347fd9673dfbe7b", element="5bd24473-0aa7-46be-8ab0-59357cfa0be0")>
</p>
                            </td>
                        </tr>
                        <tr class='warning'>
                            <td class="col-xs-10">test_03_forgotpass_link</td>
                            <td class="col-xs-1">
                                <span class="label label-warning" style="display:block;width:40px;">Error</span>
                            </td>
                            <td class="col-xs-1">
                                <button class="btn btn-default btn-xs">View</button>
                            </td>
                        </tr>
                        <tr style="display:none;">
                            <td class="col-xs-9" colspan="3"><p style="color:maroon;">WebDriverException: Message: chrome not reachable
  (Session info: chrome=93.0.4577.82)
</p><p style="color:maroon;">Traceback (most recent call last):
  File "C:\Users\413047\PycharmProjects\POMplement\SampleProjects\POMProjectDemo\Tests\login_Test.py", line 73, in test_03_forgotpass_link
    driver.get("https://d2mztpwpky9bb5.cloudfront.net/#/")
  File "C:\Users\413047\PycharmProjects\POMplement\venv\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 333, in get
    self.execute(Command.GET, {'url': url})
  File "C:\Users\413047\PycharmProjects\POMplement\venv\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 321, in execute
    self.error_handler.check_response(response)
  File "C:\Users\413047\PycharmProjects\POMplement\venv\lib\site-packages\selenium\webdriver\remote\errorhandler.py", line 242, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Session info: chrome=93.0.4577.82)

</p>
                            </td>
                        </tr>
                        <tr class='warning'>
                            <td class="col-xs-10">test_04_loginwithPetcouser_valid</td>
                            <td class="col-xs-1">
                                <span class="label label-warning" style="display:block;width:40px;">Error</span>
                            </td>
                            <td class="col-xs-1">
                                <button class="btn btn-default btn-xs">View</button>
                            </td>
                        </tr>
                        <tr style="display:none;">
                            <td class="col-xs-9" colspan="3"><p style="color:maroon;">WebDriverException: Message: chrome not reachable
  (Session info: chrome=93.0.4577.82)
</p><p style="color:maroon;">Traceback (most recent call last):
  File "C:\Users\413047\PycharmProjects\POMplement\SampleProjects\POMProjectDemo\Tests\login_Test.py", line 92, in test_04_loginwithPetcouser_valid
    driver.get("https://d2mztpwpky9bb5.cloudfront.net/#/")
  File "C:\Users\413047\PycharmProjects\POMplement\venv\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 333, in get
    self.execute(Command.GET, {'url': url})
  File "C:\Users\413047\PycharmProjects\POMplement\venv\lib\site-packages\selenium\webdriver\remote\webdriver.py", line 321, in execute
    self.error_handler.check_response(response)
  File "C:\Users\413047\PycharmProjects\POMplement\venv\lib\site-packages\selenium\webdriver\remote\errorhandler.py", line 242, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Session info: chrome=93.0.4577.82)

</p>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                Total: 4, Pass: 2, Error: 2 -- Duration: 64.46 s
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            $('td').on('click', '.btn', function(e){
                e.preventDefault();
                e.stopImmediatePropagation();
                var $this = $(this);
                var $nextRow = $this.closest('tr').next('tr');
                $nextRow.slideToggle("fast");
                $this.text(function(i, text){
                    if (text === 'View') {
                        return 'Hide';
                    } else {
                        return 'View';
                    };
                });
            });
        });
    </script>
</body>
</html